Documentation>C API
Data Fields
VlSvmStatistics Struct Reference

SVM statistics This structure contains statistics characterising the state of the SVM solver, such as the current value of the objective function. More...

`#include <svm.h>`

## Data Fields

VlSvmSolverStatus | status
vl_size | iteration
vl_size | epoch
double | objective
double | regularizer
double | loss
double | dualObjective
double | dualLoss
double | dualityGap
double | scoresVariation
double | elapsedTime

## Detailed Description

Not all fields are used by all solvers.

## Field Documentation

## ◆ dualityGap

double VlSvmStatistics::dualityGap

Duality gap = objective - dualObjective.

## ◆ dualLoss

double VlSvmStatistics::dualLoss

Dual loss value.

## ◆ dualObjective

double VlSvmStatistics::dualObjective

Dual objective value.

## ◆ elapsedTime

double VlSvmStatistics::elapsedTime

Time elapsed from the start of training.

## ◆ epoch

vl_size VlSvmStatistics::epoch

Solver epoch (iteration / num samples).

## ◆ iteration

vl_size VlSvmStatistics::iteration

Solver iteration.

## ◆ loss

double VlSvmStatistics::loss

Loss value.

## ◆ objective

double VlSvmStatistics::objective

Objective function value.

## ◆ regularizer

double VlSvmStatistics::regularizer

Regularizer value.

## ◆ scoresVariation

double VlSvmStatistics::scoresVariation

Variance of the score updates.

## ◆ status

VlSvmSolverStatus VlSvmStatistics::status

Solver status.

The documentation for this struct was generated from the following file:

- svm.h